package mosaiccreator;

import javax.swing.JFrame;
import javax.swing.JEditorPane;
import javax.swing.JScrollPane;
import java.awt.Dimension;
import java.io.File;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */
public class UserManualFrame extends JFrame {

   private JEditorPane htmlPane;

  public UserManualFrame() {
    super("User Manual");
    this.setIconImage(PictureTools.readImage("mosaicImage.gif", this));

    try {
      htmlPane = new JEditorPane( (new File("Mosaic Creator instrustions.htm")).toURL());
      htmlPane.setEditable(false);
      JScrollPane scrollPane = new JScrollPane(htmlPane);
      getContentPane().add(scrollPane, null);
    }
    catch (Exception ex) {

    }

    Dimension screenSize = getToolkit().getScreenSize();
    int width = screenSize.width * 8 / 10;
    int height = screenSize.height * 8 / 10;
    setBounds(width / 8, height / 8, width, height);
    setVisible(true);

  }
}
